## cc65-sources-2.10.1.tar.bz2

=== doc/Makefile ===
#
# Makefile for the cc65 documentation
#


# Default for the compiler lib search path as compiler define

SGML  =	apple2.sgml	\
	ar65.sgml 	\
        atari.sgml      \
        c128.sgml       \
        c16.sgml        \
        c64.sgml        \
	ca65.sgml 	\
	ca65html.sgml	\
        cbm610.sgml     \
	cc65.sgml 	\
	cl65.sgml   	\
        co65.sgml       \
	coding.sgml	\
        da65.sgml       \
	debugging.sgml	\
	dio.sgml    	\
        funcref.sgml    \
	geos.sgml   	\
	index.sgml  	\
	intro.sgml	\
	ld65.sgml   	\
	library.sgml    \
        plus4.sgml

TXT   =	$(SGML:.sgml=.txt)
HTML  = $(SGML:.sgml=.html)
INFO  = $(SGML:.sgml=.info)
DVI   = $(SGML:.sgml=.dvi)
TEX   = $(SGML:.sgml=.tex)

# ------------------------------------------------------------------------------
# Rules to make targets

%.txt:	%.sgml
	sgml2txt $<

%.html:	%.sgml
	sgml2html --split=1 $<

%.info:	%.sgml
	sgml2info $<

%.dvi:	%.sgml
	sgml2latex $<

%.tex:	%.sgml
      	sgml2latex --output=tex $<

# ------------------------------------------------------------------------------
# Targets

.PHONY: all
all:  	txt html info dvi

.PHONY:	txt
txt:  	$(TXT)

.PHONY:	html
html: 	$(HTML)

.PHONY:	info
info: 	$(INFO)

.PHONY:	dvi
dvi:  	$(DVI)

.PHONY:	tex
tex:  	$(TEX)

# The index.html target is special, since it does not get splitted
index.html:	index.sgml
      	sgml2html --split=0 $<

clean:
	rm -f *~

zap:	clean
	rm -f $(TXT) $(HTML) $(INFO) $(DVI) $(TEX) *.html *.info-* *.man

# ------------------------------------------------------------------------------
# Special target rules

coding.html:	coding.sgml
	sgml2html --split=0 $<

funcref.html:	funcref.sgml
	sgml2html --split=2 $<

index.html:    	index.sgml
	sgml2html --split=0 $<

# ------------------------------------------------------------------------------
# Make the dependencies

.PHONY: depend dep
depend dep:	$(OBJS:.o=.c)
	@echo "Creating dependency information"
	$(CC) -MM $^ > .depend

=== libsrc/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .obj .s .c

# Defines for executables. AR is used within this makefile, the others are
# passed to the submakes and contain paths relative to the subdirectories
# handled by the make subprocesses.
AR = ../src/ar65/ar65
AS = ../../src/ca65/ca65
CC = ../../src/cc65/cc65
LD = ../../src/ld65/ld65

# List of all targets
ALLTARGETS =   	apple2 		\
       	       	atari  		\
       	       	atmos  		\
                c16    		\
       	       	c128   		\
       	       	c64    		\
       	       	cbm510 		\
       	       	cbm610 		\
       	       	geos   		\
                nes     	\
       	       	pet    		\
       	       	plus4   	\
		supervision	\
		vic20

#-----------------------------------------------------------------------------

.PHONY:	all
all:
	for tgt in $(ALLTARGETS); do		\
	    $(MAKE) clean "$$tgt"lib || exit 1;	\
	done

#-----------------------------------------------------------------------------
# Apple ][

apple2lib:
	for i in apple2 common runtime conio dbg em joystick tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t apple2 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t apple2 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a apple2.lib $$i/*.o;\
	done
	mv apple2/crt0.o apple2.o
	cp apple2/apple2-lc.emd a2.lc.emd
	cp apple2/apple2-280-192-6.tgi a2.hi.tgi
	cp apple2/apple2-40-40-16.tgi a2.lo.tgi
	cp apple2/apple2-stdjoy.joy a2.stdjoy.joy

#-----------------------------------------------------------------------------
# Atari

atarilib:
	for i in atari common runtime conio dbg em joystick tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t atari -I../../asminc" \
	    CFLAGS="-Osir -g -T -t atari --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a atari.lib $$i/*.o;\
	done
	mv atari/crt0.o atari.o
	cp atari/*.joy .

#-----------------------------------------------------------------------------
# Oric Atmos

atmoslib:
	for i in atmos common conio runtime em joystick tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t atmos -I../../asminc" \
	    CFLAGS="-Osir -g -T -t atmos --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a atmos.lib $$i/*.o;\
	done
	mv atmos/crt0.o atmos.o

#-----------------------------------------------------------------------------
# C16, C116

c16lib:
	for i in c16 cbm common runtime conio dbg em joystick tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t c16 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t c16 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a c16.lib $$i/*.o;\
	done
	mv c16/crt0.o c16.o
	cp c16/*.joy .
	cp c16/*.emd .

#-----------------------------------------------------------------------------
# C64

c64lib:
	for i in c64 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t c64 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t c64 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a c64.lib $$i/*.o;\
	done
	mv c64/crt0.o c64.o
	cp c64/*.emd .
	cp c64/*.joy .
	cp c64/*.ser .
	cp c64/c64-320-200-2.tgi c64-hi.tgi

#-----------------------------------------------------------------------------
# C128

c128lib:
	for i in c128 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t c128 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t c128 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a c128.lib $$i/*.o;\
  	done
	mv c128/crt0.o c128.o
	cp c128/*.emd .
	cp c128/*.joy .
	cp c128/*.ser .
	cp c128/c128-640-200-2.tgi c128-vdc.tgi
	cp c128/c128-640-480-2.tgi c128-vdc2.tgi

#-----------------------------------------------------------------------------
# Commdore P500 / CBM 5x0

cbm510lib:
	for i in cbm510 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AFLAGS="-t cbm510 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t cbm510 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a cbm510.lib $$i/*.o;\
	done
	mv cbm510/crt0.o cbm510.o
	cp cbm510/*.emd .
	cp cbm510/*.joy .

#-----------------------------------------------------------------------------
# PET-II series

cbm610lib:
	for i in cbm610 cbm common runtime conio dbg em joystick serial tgi zlib; do \
     	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AFLAGS="-t cbm610 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t cbm610 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a cbm610.lib $$i/*.o;\
	done
	mv cbm610/crt0.o cbm610.o
	cp cbm610/*.emd .
	cp cbm610/cbm610-stdser.ser cbm610-std.ser

#-----------------------------------------------------------------------------
# GEOS on the C64/128

geoslib:
	CC=../$(CC) \
	AS=../$(AS) \
	AR=../$(AR) \
       	LD=../$(LD) \
	AFLAGS="-t geos -I../../../asminc" \
	CFLAGS="-Osir -g -T -t geos --forget-inc-paths -I. -I../../../include" \
	$(MAKE) -C geos || exit 1
	for i in em joystick tgi conio common runtime zlib; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AR=$(AR) \
	    AFLAGS="-t geos -I../../asminc" \
	    CFLAGS="-Osir -g -T -t geos --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    for objfile in $$i/*.o; do \
	        if [ -f geos/$$objfile ]; then \
	      	    $(AR) a geos.lib geos/$$objfile; \
	      	else \
	      	    $(AR) a geos.lib $$objfile; \
	      	fi; \
	    done \
	done
	cp geos/devel/*.emd .
	cp geos/devel/*.joy .
	cp geos/devel/geos-tgi.tgi geos-tgi.tgi

#-----------------------------------------------------------------------------
# NES

neslib:
	for i in nes common runtime conio em joystick tgi zlib; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AFLAGS="-t nes -I../../asminc" \
	    CFLAGS="-Osir -g -T -t nes --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a nes.lib $$i/*.o;\
	done
	mv nes/crt0.o nes.o

#-----------------------------------------------------------------------------
# CBM PET machines

petlib:
	for i in pet cbm common runtime conio dbg em joystick tgi zlib; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AFLAGS="-t pet -I../../asminc" \
	    CFLAGS="-Osir -g -T -t pet --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a pet.lib $$i/*.o;\
	done
	mv pet/crt0.o pet.o

#-----------------------------------------------------------------------------
# Commodore Plus/4

plus4lib:
	for i in plus4 cbm common runtime conio dbg em joystick serial tgi zlib; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AFLAGS="-t plus4 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t plus4 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a plus4.lib $$i/*.o;\
	done
	mv plus4/crt0.o plus4.o
	cp plus4/*.joy .
	cp plus4/*.ser .

#-----------------------------------------------------------------------------
# Supervision

supervisionlib:
	for i in supervision common runtime; do \
	    CC=$(CC) \
	    AS=$(AS) \
	    LD=$(LD) \
	    AFLAGS="-t supervision -I../../asminc" \
	    CFLAGS="-Osir -g -T -t supervision --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a supervision.lib $$i/*.o;\
	done
	mv supervision/crt0.o supervision.o

#-----------------------------------------------------------------------------
# Vic20

vic20lib:
	for i in vic20 cbm common runtime conio dbg em joystick tgi zlib; do \
	    AS=$(AS) \
	    CC=$(CC) \
	    LD=$(LD) \
	    AFLAGS="-t vic20 -I../../asminc" \
	    CFLAGS="-Osir -g -T -t vic20 --forget-inc-paths -I. -I../../include" \
	    $(MAKE) -C $$i || exit 1; \
	    $(AR) a vic20.lib $$i/*.o;\
	done
	mv vic20/crt0.o vic20.o
	cp vic20/*.joy .

#-----------------------------------------------------------------------------
# Dummy targets

.PHONY: clean
clean:
	@for i in cbm common conio dbg em joystick runtime serial tgi zlib $(ALLTARGETS); do\
       	   $(MAKE) -C $$i clean;			      		   	\
	done

.PHONY: zap
zap:	clean
	@for i in cbm common conio dbg em joystick runtime tgi zlib $(ALLTARGETS); do\
	   $(MAKE) -C $$i zap;     	    	       	      	   		\
	done
	@$(RM) *.o *.emd *.joy *.lib *.tgi

=== samples/Makefile ===
#
# Makefile for cc65 samples
#
# This Makefile requires GNU make
#

# Enter the target system here
SYS	= c64

CRT0   	= ../libsrc/$(SYS).o
CLIB	= ../libsrc/$(SYS).lib
CC	= ../src/cc65/cc65
CL	= ../src/cl65/cl65
AS	= ../src/ca65/ca65
LD	= ../src/ld65/ld65
C1541  	= c1541


# --------------------------------------------------------------------------
# Generic rules

.c.o:
	@echo $<
	@$(CC) -Oirs -T --forget-inc-paths --codesize 500 -g -t $(SYS) -I../include/ $<
	@$(AS) $(basename $<).s

.s.o:
	@echo $<
	@$(AS) $(basename $<).s


# --------------------------------------------------------------------------
# Rules how to make each one of the binaries

EXELIST=ascii fire gunzip65 hello mousedemo nachtm plasma sieve tgidemo

.PHONY:	all
all:   	$(EXELIST)

ascii: 	       	$(CRT0) ascii.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

fire:  	       	$(CRT0) fire.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

gunzip65:      	$(CRT0) gunzip65.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

hello: 	       	$(CRT0) hello.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

mousedemo:     	$(CRT0) mousedemo.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

nachtm:	       	$(CRT0) nachtm.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

plasma:	       	$(CRT0) plasma.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

sieve: 	       	$(CRT0) sieve.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^

tgidemo:       	$(CRT0) tgidemo.o $(CLIB)
	@$(LD) -t $(SYS) -m $(basename $@).map -o $@ $^


# --------------------------------------------------------------------------
# Rule to make a disk with all samples. Needs the c1541 program that comes
# with the VICE emulator.

.PHONY:	disk
disk:  	samples.d64

samples.d64:	all
	@$(C1541) -format samples,AA  d64 $@ > /dev/null
	@for exe in $(EXELIST); do\
	    $(C1541) -attach $@ -write $$exe > /dev/null;\
	done;\
	for tgi in ../libsrc/$(SYS)*.tgi; do\
	    $(C1541) -attach $@ -write $$tgi > /dev/null;\
	done;

# --------------------------------------------------------------------------
# Cleanup rules

.PHONY:	clean
clean:
	$(RM) *~ *.map *.o *.s *.lbl

.PHONY:	zap
zap:	clean
	$(RM) $(EXELIST) samples.d64

=== libsrc/apple2/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS=	_scrsize.o	\
	break.o		\
	cclear.o	\
	cgetc.o		\
	chline.o	\
	clrscr.o	\
	color.o		\
	cputc.o		\
	crt0.o		\
	ctype.o		\
	cvline.o	\
        get_ostype.o    \
        getenv.o        \
        joy_stddrv.o    \
	kbhit.o		\
        mainargs.o      \
        randomize.o     \
	read.o		\
	revers.o	\
        systime.o       \
        sysuname.o      \
        tgi_mode_table.o\
	wherex.o       	\
       	wherey.o	\
	write.o

#--------------------------------------------------------------------------
# Drivers

EMDS =

JOYS = apple2-stdjoy.joy

SERS = apple2-lc.emd

TGIS = apple2-40-40-16.tgi apple2-280-192-6.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== libsrc/atari/Makefile ===
#
# makefile for CC65 Atari runtime library
#
# NUMDRVS - number of supported drives (max. 16)
#           4 bytes for each device are statically allocated
# UCASE_FILENAME - all filenames get uppercased
# DEFAULT_DEVICE - if the string passed to the uppercase function doesn't
#                  include a device (":" at position 2 or 3), provide "D:"
#                  as a default device
#                  needs UCASE_FILENAME to be defined, otherwise no effect

ATARIDEFS = -DNUMDRVS=4 -DUCASE_FILENAME=1 -DDEFAULT_DEVICE=1

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $(ATARIDEFS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $(ATARIDEFS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS = 	_scrsize.o      \
	break.o         \
	cclear.o        \
	cgetc.o         \
	chline.o        \
	clock.o         \
	close.o         \
	clrscr.o        \
	color.o         \
	cputc.o         \
	crt0.o 	        \
	ctype.o         \
	cvline.o        \
	dio_cts.o       \
	dio_stc.o       \
	diopncls.o      \
	dioread.o       \
	diowrite.o      \
	diowritev.o     \
	dosdetect.o     \
	fdtable.o       \
	getargs.o       \
	getdefdev.o     \
	getfd.o         \
	gotox.o         \
	gotoy.o         \
	gotoxy.o        \
	graphics.o      \
	graphuse.o      \
	joy_stddrv.o    \
	kbhit.o         \
	lseek.o         \
	mouse.o         \
	mul40.o         \
	open.o 	        \
	oserrlist.o     \
	oserror.o       \
	ostype.o        \
	randomize.o     \
	read.o 	        \
	revers.o        \
	rs232.o	        \
	rwcommon.o      \
	savevec.o       \
	scroll.o        \
	setcolor.o      \
	siocall.o       \
	sysremove.o     \
	systime.o       \
	tvtype.o        \
        sysuname.o      \
	ucase_fn.o      \
	wherex.o        \
	wherey.o        \
	write.o


#--------------------------------------------------------------------------
# Drivers

EMDS =

JOYS = atari-stdjoy.joy

TGIS =

#--------------------------------------------------------------------------
# Targets

all: 	$(OBJS) $(EMDS) $(JOYS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(TGIS)

=== libsrc/atmos/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

#--------------------------------------------------------------------------
# Object files

C_OBJS =

S_OBJS  =       _scrsize.o      \
                cclear.o        \
                cgetc.o         \
                chline.o        \
                clock.o         \
                clrscr.o        \
                color.o         \
                cputc.o         \
                crt0.o          \
                ctype.o         \
                cvline.o        \
                getenv.o        \
                gotox.o         \
                gotoxy.o        \
                gotoy.o         \
                kbhit.o         \
                mainargs.o      \
                revers.o        \
                systime.o       \
                sysuname.o      \
                wherex.o        \
                wherey.o        \
                write.o

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all:   	$(C_OBJS) $(S_OBJS)

clean:
	@$(RM) $(C_OBJS:.c=.s) $(C_OBJS) $(S_OBJS)

zap:	clean

=== libsrc/c128/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS =	_scrsize.o		\
	break.o	       		\
	c64mode.o		\
     	cgetc.o	       		\
       	clrscr.o       		\
      	conio.o	       		\
     	crt0.o	       		\
       	color.o	       		\
     	cputc.o	       		\
	fast.o			\
        get_tv.o        	\
	joy_stddrv.o		\
     	kbhit.o	       		\
        kernal.o        	\
        mainargs.o              \
	mouse.o			\
        randomize.o     	\
        revers.o        	\
	rs232.o			\
	slow.o			\
        sysuname.o              \
	tgi_mode_table.o	\
	toggle_videomode.o

#--------------------------------------------------------------------------
# Drivers

EMDS = c128-georam.emd c128-ram.emd c128-ramcart.emd c128-reu.emd c128-vdc.emd

JOYS = c128-ptvjoy.joy c128-stdjoy.joy

SERS = c128-swlink.ser

TGIS = c128-640-200-2.tgi c128-640-480-2.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all:   	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)


zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== libsrc/c16/Makefile ===
#
# makefile for CC65 runtime library (C16)
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS =	_scrsize.o   	\
	break.o	     	\
       	cgetc.o	       	\
	clrscr.o     	\
	color.o	     	\
	conio.o	     	\
	cputc.o	     	\
	crt0.o	     	\
        get_tv.o        \
	joy_stddrv.o	\
	kbhit.o	     	\
        kclose.o        \
        kernal.o        \
        mainargs.o      \
        randomize.o     \
        revers.o        \
        sysuname.o

#--------------------------------------------------------------------------
# Drivers

EMDS = c16-ram.emd

JOYS = c16-stdjoy.joy

SERS =

TGIS =

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== libsrc/c64/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c


#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS = 	_scrsize.o     	 	\
       	break.o	       	 	\
       	crt0.o 	       	 	\
       	cgetc.o	       	 	\
       	clrscr.o       	 	\
       	color.o	       	 	\
       	conio.o	       	 	\
       	cputc.o	       	 	\
        get_ostype.o            \
        get_tv.o                \
	joy_stddrv.o		\
       	kbhit.o	       	 	\
        kernal.o                \
        mainargs.o              \
       	mouse.o	       	 	\
        randomize.o             \
        revers.o                \
       	rs232.o	       	 	\
        sysuname.o              \
        tgi_mode_table.o

#--------------------------------------------------------------------------
# Drivers

EMDS = c64-georam.emd c64-ram.emd c64-ramcart.emd c64-reu.emd c64-vdc.emd

JOYS = c64-hitjoy.joy c64-ptvjoy.joy c64-stdjoy.joy

SERS = c64-swlink.ser

TGIS = c64-320-200-2.tgi

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== libsrc/cbm/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

#--------------------------------------------------------------------------
# Object files

C_OBJS =  	cbm_dir.o       \
                cbm_load.o	\
		cbm_save.o

S_OBJS =	c_acptr.o	\
	 	c_basin.o 	\
		c_bsout.o	\
		c_chkin.o	\
	 	c_ciout.o	\
		c_ckout.o 	\
		c_clall.o	\
		c_close.o 	\
		c_clrch.o 	\
		c_iobase.o	\
		c_listen.o	\
		c_load.o	\
		c_open.o 	\
		c_readst.o 	\
		c_save.o	\
		c_setlfs.o	\
		c_setnam.o	\
		c_talk.o	\
		c_unlsn.o	\
		c_untlk.o	\
		cbm_close.o	\
		cbm_open.o 	\
		cbm_read.o 	\
		cbm_write.o     \
		cclear.o 	\
		chline.o 	\
	 	clock.o 	\
                close.o         \
		ctype.o 	\
		cvline.o 	\
                diskcmd.o       \
                filedes.o       \
                filename.o      \
                filevars.o      \
		getenv.o 	\
		gotox.o 	\
		gotoxy.o 	\
		gotoy.o 	\
                open.o          \
                oserrlist.o     \
		oserror.o	\
                read.o          \
                rwcommon.o      \
                scratch.o       \
                sysremove.o     \
                systime.o       \
		wherex.o        \
                wherey.o        \
                write.o

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all:	$(C_OBJS) $(S_OBJS)

clean:
	@$(RM) *~ *.bck $(C_OBJS:.o=.s) $(C_OBJS) $(S_OBJS)

zap:	clean

=== libsrc/cbm510/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.joy:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

OBJS =	_scrsize.o	\
	banking.o	\
       	break.o		\
       	cgetc.o		\
	clrscr.o	\
       	color.o	 	\
	conio.o		\
	cputc.o		\
       	crt0.o 	 	\
        extzp.o         \
       	kbhit.o	 	\
       	kirq.o 	 	\
       	kplot.o	 	\
	kscnkey.o	\
	kudtim.o 	\
        mainargs.o      \
	mouse.o		\
	peeksys.o	\
	pokesys.o	\
        randomize.o     \
	revers.o	\
	rs232.o		\
        sysuname.o      \
	tgi_mode_table.o

#--------------------------------------------------------------------------
# Drivers

EMDS =	cbm510-ram.emd

JOYS = cbm510-stdjoy.joy

TGIS =

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all:	$(OBJS) $(EMDS) $(JOYS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(TGIS)

=== libsrc/cbm610/Makefile ===
#
# makefile for CC65 runtime library
#

.SUFFIXES: .o .s .c

#--------------------------------------------------------------------------
# Rules

%.o:   	%.c
	@$(CC) $(CFLAGS) $<
	@$(AS) -o $@ $(AFLAGS) $(*).s

%.o:	%.s
	@$(AS) -g -o $@ $(AFLAGS) $<

%.emd:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.ser:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

%.tgi:	%.o ../runtime/zeropage.o extzp.o
	@$(LD) -t module -o $@ $^

#--------------------------------------------------------------------------
# Object files

OBJS =	_scrsize.o	\
	banking.o	\
       	break.o		\
       	cgetc.o		\
	clrscr.o	\
       	color.o		\
       	cputc.o		\
       	crt0.o 		\
       	crtc.o 		\
        extzp.o         \
       	kbhit.o		\
	kclose.o	\
        kernal.o        \
        kiobase.o       \
        kopen.o         \
        krdtim.o        \
        kreadst.o       \
        kscnkey.o       \
        kscreen.o       \
        ksetnam.o       \
        ksettim.o       \
        kudtim.o        \
        mainargs.o      \
	peeksys.o	\
	pokesys.o	\
        randomize.o     \
	revers.o	\
        sysuname.o

#--------------------------------------------------------------------------
# Drivers

EMDS =	cbm610-ram.emd

JOYS =

SERS = cbm610-stdser.ser

TGIS =

#--------------------------------------------------------------------------
# Targets

.PHONY:	all clean zap

all: 	$(OBJS) $(EMDS) $(JOYS) $(SERS) $(TGIS)

../runtime/zeropage.o:
	$(MAKE) -C $(dir $@) $(notdir $@)

clean:
	@$(RM) $(OBJS) $(EMDS:.emd=.o) $(JOYS:.joy=.o) $(SERS:.ser=.o) $(TGIS:.tgi=.o)

zap:	clean
	@$(RM) $(EMDS) $(JOYS) $(SERS) $(TGIS)

=== packages/debian/changelog ===
cc65 (2.9.0-1) stable; urgency=low

  * New upstream version
  * we're working in stable here

 -- Michael Klein <michael.klein@puffin.lb.shuttle.de>  Sun, 19 Jan 2003 17:19:00 +0100

cc65 (2.8.0-2) unstable; urgency=low

  * debian/control: Suggest target packages, don't recommend them

 -- Michael Klein <michael.klein@puffin.lb.shuttle.de>  Sat, 21 Sep 2002 20:39:53 +0200

cc65 (2.8.0-1) unstable; urgency=low

  * Initial release.

 -- Michael Klein <michael.klein@puffin.lb.shuttle.de>  Sun,  1 Sep 2002 15:28:51 +0200

Local variables:
mode: debian-changelog
End:

=== packages/debian/control ===
Source: cc65
Section: non-free/devel
Priority: optional
Maintainer: Michael Klein <michael.klein@puffin.lb.shuttle.de>
Build-Depends: debhelper, sgml-tools, perl
Standards-Version: 3.2.1

Package: cc65
Suggests: cc65-apple2, cc65-atari, cc65-c128, cc65-c64, cc65-cbm510, cc65-cbm610, cc65-geos, cc65-pet, cc65-plus4, cc65-c16, cc65-vic20
Architecture: any
Depends: ${shlibs:Depends}
Description: Crosscompiler/Crossassembler for 6502 systems
 A C crosscompiler for 6502 systems, including a macroassembler that
 supports 6502, 65SC02 and 65816 CPUs, a linker, an archiver and some
 other tools. To create programs for one of the supported target
 machines, you have to install at least one of the library packages.

Package: cc65-apple2
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: Apple ][ specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Apple ][ using the cc65 crosscompiler.

Package: cc65-atari
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: Atari specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the 8 bit Atari machines using the cc65 crosscompiler.

Package: cc65-c128
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: C128 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore C128 using the cc65 crosscompiler.

Package: cc65-c64
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: C64 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore C64 using the cc65 crosscompiler.

Package: cc65-cbm510
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: CBM 510 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore CBM 510 (aka P500) using the cc65
 crosscompiler.

Package: cc65-cbm610
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: CBM 610 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore PET-II (CBM600/700) family of computers using
 the cc65 crosscompiler.

Package: cc65-geos
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: GEOS specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 GEOS programs for the C64/C128 using the cc65 crosscompiler.

Package: cc65-pet
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: PET specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore PET family of computers using the cc65
 crosscompiler

Package: cc65-plus4
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: Plus/4 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore Plus/4 and C16/116 using the cc65
 crosscompiler.

Package: cc65-c16
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: C16/116 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore C16/116 using the cc65 crosscompiler.

Package: cc65-vic20
Architecture: all
Depends: cc65 (= ${Source-Version})
Description: VIC20 specific libraries and headers for the cc65 compiler
 This package contains the header files and libraries needed to write
 programs for the Commodore VIC20 using the cc65 crosscompiler.
